# tkvaudio.tcl --
#
#

if {![info exists tkVoice]} {
    error "This script should be run from within  \"tkvoice\"."
}

set w .tkvaudio
catch {destroy $w}
toplevel $w
wm title $w "tkVoice Audio Setup"
wm iconname $w "tkVoice Audio Setup"
wm iconbitmap $w @$tkvoicedir/image/icon
positionWindow $w

set bgcolor "#eeeeee"

######################################################
# tkvoice setup image
frame $w.gif
pack $w.gif -side top -fill x

catch {image delete tkvoiceaudio}
image create photo tkvoiceaudio -file [file join $tkvoicedir/image/tkvoiceaudio.gif]

label $w.gif.tkvoiceaudio -image tkvoiceaudio -bd 1 -relief sunken
label $w.gif.linux -image linux -bd 1 -relief sunken
label $w.gif.phone -image phone -bd 1 -relief sunken
label $w.gif.penguin -image penguin -bd 1 -relief sunken
 
pack $w.gif.phone -side left
pack $w.gif.tkvoiceaudio -side left -expand 1 -fill x
pack $w.gif.linux -side right
pack $w.gif.penguin -side right


#########################


frame $w.buttons
pack $w.buttons -side bottom -fill x -pady 2m
button $w.buttons.save -text SAVE -command "saveaudio; destroy $w"
button $w.buttons.cancel -text CANCEL -command "destroy $w"
pack $w.buttons.save $w.buttons.cancel -side left -expand 1

# playwave stuff
label $w.msg -font $font -wraplength 4i -justify left -text "\nTkVoice gives you the option of using a custom system command to play \"wav\" files.\nIf \"wavplay\" compiled properly at install time just leave this setting in \"WavPlay\"."
label $w.msg1 -font $font -wraplength 4i -justify left -text "\nPlay WAV command"
pack $w.msg1 -side top -fill x

frame $w.play
pack $w.play -side top -expand yes -pady .1c -padx .5c
radiobutton $w.play.cmdwav -text "WavPlay Mode" -variable PCMDT \
                -relief flat -value wavplay -width 20
radiobutton $w.play.cmdsox -text "Sox Mode" -variable PCMDT \
                -relief flat -value sox -width 20
pack $w.play.cmdwav $w.play.cmdsox -side left -pady 2 -padx 2 -anchor w
frame $w.play1
pack $w.play1 -side top -expand yes -pady .1c -padx .5c
radiobutton $w.play1.cmdcus -text "Custom" -variable PCMDT -relief flat -value 0
entry $w.play1.entry -relief sunken -width 30 -textvariable playwave -background $bgcolor
pack $w.play1.cmdcus $w.play1.entry  -side left  -pady 2

#-------- Start of Playback Amp Slider ------------
frame $w.pbamp -borderwidth 10
pack $w.pbamp -side top -fill x
label $w.pbamp.msg -font $font -justify left -text "Set play back volume:"
scale $w.pbamp.scale -orient horizontal -length 300 -from 0.0 -to 10.0 \
        -command "setpbamp" -tickinterval 2.0 -resolution 0.1
pack $w.pbamp.scale $w.pbamp.msg -side bottom -expand yes -anchor n
$w.pbamp.scale set $PBAMP
 
proc setpbamp {ampfactor} {
global PBAMP
set PBAMP $ampfactor
}
#-------- End of Playback Amp Slider ------------
############# /dev/dsp stuff ###########################
label $w.msg2 -font $font -wraplength 4i -justify left -text "\nSet Audio Device:"
pack $w.msg2 -side top -fill x
frame $w.mid
pack $w.mid -side top -expand yes -pady .1c -padx .5c
frame $w.mid.dev 
frame $w.mid.ost
pack $w.mid.dev -side left -expand yes -pady .1c -padx .5c
pack $w.mid.ost -side right -expand yes -pady .1c -padx .5c

 foreach x { dsp audio } {
     radiobutton $w.mid.dev.$x -text "/dev/$x" -variable audioDEV \
                 -relief flat -value $x -command "set custadev 0"
     pack $w.mid.dev.$x -side top -pady 2 -anchor w
 }
 radiobutton $w.mid.dev.other -text "Other" -variable custadev -relief flat -value 1
 entry $w.mid.dev.entry -relief sunken -width 5 -textvariable audioDEV -background $bgcolor
 pack $w.mid.dev.other -side left  -pady 2
 pack $w.mid.dev.entry -side right -pady 2

 foreach i { ossdsp sunau } {
     radiobutton $w.mid.ost.$i -text "$i" -variable audioOST \
                 -relief flat -value $i -command "set custaOST 0"
     pack $w.mid.ost.$i -side top -pady 2 -anchor w
 }
 radiobutton $w.mid.ost.other -text "Other" -variable custaOST -relief flat -value 1
 entry $w.mid.ost.entry -relief sunken -width 6 -textvariable audioOST -background $bgcolor
 pack $w.mid.ost.other -side left  -pady 2
 pack $w.mid.ost.entry -side right -pady 2

  
############# rec-wave stuff ###########################
label $w.msg3 -font $font -wraplength 4i -justify left -text "\nRecord WAV command"
pack $w.msg3 -side top -fill x
frame $w.rec
pack $w.rec -side top -expand yes -pady .1c -padx .5c
radiobutton $w.rec.cmdwav -text "WavRec Mode\ " -variable RCMDT \
                -relief flat -value wavrec -width 20
radiobutton $w.rec.cmdsox -text "Sox Mode" -variable RCMDT \
                -relief flat -value sox -width 20
pack $w.rec.cmdwav $w.rec.cmdsox -side left -pady 2 -padx 2 -anchor w
frame $w.rec1
pack $w.rec1 -side top -expand yes -pady .1c -padx .5c
radiobutton $w.rec1.cmdcus -text "Custom" -variable RCMDT -relief flat -value 0
entry $w.rec1.entry -relief sunken -width 30 -textvariable recordwave -background $bgcolor
pack $w.rec1.cmdcus $w.rec1.entry -side left  -pady 2

focus $w.play1.entry
bind $w.play1.entry <Return> {focus $w.rec1.entry}
bind $w.rec1.entry <Return> {focus $w.play1.entry}

