# tkvmodem.tcl --
#
#

if {![info exists tkVoice]} {
    error "This script should be run from within  \"tkvoice\"."
}

set w .tkvmodem
catch {destroy $w}
toplevel $w
wm title $w "tkVoice Modem Setup"
wm iconname $w "tkVoice Modem Setup"
wm iconbitmap $w @$tkvoicedir/image/icon
positionWindow $w

global w
set bgcolor "#eeeeee"

##########################

proc MCS_disable {} {
global w
#-state disabled-active-normal
foreach x { 1 2 3 4 5 6 7 8 9 12 81 128 132 } {
    $w.right.c$x configure -state disabled
  }
}

proc MCS_Digi {} {
global w MODEMCOMP
MCS_disable
# pvftormd Digi Supports:
# Digi           4        G.711u PCM
# Digi           5        G.711A PCM
if { $MODEMCOMP != 4} {
   if { $MODEMCOMP != 5} {
   set MODEMCOMP 4
   }
}
foreach x { 4 5 } {
    $w.right.c$x configure -state normal
  }
}

proc MCS_Elsa {} {
global w MODEMCOMP
MCS_disable
# pvftormd Elsa Supports:
# Elsa           2, 3, 4  2/3/4-bit Rockwell ADPCM
if { $MODEMCOMP != 2} {
   if { $MODEMCOMP != 3} {
      if { $MODEMCOMP != 4} {
         set MODEMCOMP 2
      }
   }
}
foreach x { 2 3 4 } {
    $w.right.c$x configure -state normal
  }
}

proc MCS_ISDN4Linux {} {
global w MODEMCOMP
MCS_disable
# pvftormd ISDN4Linux Supports:
# ISDN4Linux     2, 3, 4  2/3/4-bit ZyXEL ADPCM
# ISDN4Linux     5        G.711A PCM
# ISDN4Linux     6        G.711u PCM
if { $MODEMCOMP != 2} {
   if { $MODEMCOMP != 3} {
      if { $MODEMCOMP != 4} {
         if { $MODEMCOMP != 5} {
            if { $MODEMCOMP != 6} {
            set MODEMCOMP 2
            }
         }
      }
   }
}
foreach x { 2 3 4 5 6 } {
    $w.right.c$x configure -state normal
  }
}

proc MCS_Lucent {} {
global w MODEMCOMP
MCS_disable
# pvftormd Lucent Supports:
# Lucent         1        8 bit linear PCM
# Lucent         2        16 bit linear PCM
# Lucent         3        G.711A PCM
# Lucent         4        G.711u PCM
# Lucent         5        4 bit IMA ADPCM
if { $MODEMCOMP != 1} {
   if { $MODEMCOMP != 2} {
      if { $MODEMCOMP != 3} {
         if { $MODEMCOMP != 4} {
            if { $MODEMCOMP != 5} {
            set MODEMCOMP 1
            }
         }
      }
   }
}
foreach x { 1 2 3 4 5 } {
    $w.right.c$x configure -state normal
  }
}

proc MCS_MT_2834 {} {
global w MODEMCOMP
MCS_disable
# pvftormd MT_2834 Supports:
# MT_2834        4        4 bit IMA ADPCM
set MODEMCOMP 4
foreach x { 4 } {
    $w.right.c$x configure -state normal
  }
}

proc MCS_MT_5634 {} {
global w MODEMCOMP
MCS_disable
# pvftormd MT_5634 Supports:
# MT_5634        4        4 bit IMA ADPCM
set MODEMCOMP 4
foreach x { 4 } {
    $w.right.c$x configure -state normal
  }
}

proc MCS_Rockwell {} {
global w MODEMCOMP
MCS_disable
# pvftormd Rockwell Supports:
# Rockwell       2, 3, 4  2/3/4-bit Rockwell ADPCM
# Rockwell       8        8-bit Rockwell PCM
if { $MODEMCOMP != 2} {
   if { $MODEMCOMP != 3} {
      if { $MODEMCOMP != 4} {
         if { $MODEMCOMP != 8} {
         set MODEMCOMP 2
         }
      }
   }
}
foreach x { 2 3 4 8 } {
    $w.right.c$x configure -state normal
  }
}

proc MCS_TopicTP560 {} {
global w MODEMCOMP
MCS_disable
# pvftormd TopicTP560 supports:
# TopicTP560     128      unsigned 8-BIT LINEAR
# TopicTP560     4, 132   4-bit IMA ADPCM
if { $MODEMCOMP != 4} {
   if { $MODEMCOMP != 128} {
      if { $MODEMCOMP != 132} {
   set MODEMCOMP 128
   }  }
}
foreach x { 4 128 132 } {
    $w.right.c$x configure -state normal
  }
}

proc MCS_UMC {} {
global w MODEMCOMP
MCS_disable
# pvftormd UMC Supports:
# UMC            4        G.721 ADPCM
set MODEMCOMP 4
foreach x { 4 } {
    $w.right.c$x configure -state normal
  }
}

proc MCS_US_Robotics {} {
global w MODEMCOMP
MCS_disable
# pvftormd US_Robotics Supports:
# US_Robotics    1        USR-GSM
# US_Robotics    4        G.721 ADPCM
if { $MODEMCOMP != 1} {
   if { $MODEMCOMP != 4} {
   set MODEMCOMP 1
   }
}
foreach x { 1 4 } {
    $w.right.c$x configure -state normal
  }
}

proc MCS_V253modem {} {
global w MODEMCOMP
MCS_disable
# pvftormd V253modem Supports:
# V253modem      2, 4     2/4-bit Rockwell ADPCM
# V253modem      5        4-bit IMA ADPCM
# V253modem      6        G.711u PCM
# V253modem      7        G.711A PCM
# V253modem      8        8-bit linear unsigned PCM
# V253modem      9        8-bit linear signed PCM
# V253modem      12       16-bit linear signed PCM Intel
if { $MODEMCOMP != 2} {
   if { $MODEMCOMP != 4} {
      if { $MODEMCOMP != 5} {
         if { $MODEMCOMP != 6} {
            if { $MODEMCOMP != 7} {
               if { $MODEMCOMP != 8} {
                  if { $MODEMCOMP != 9} {
                     if { $MODEMCOMP != 12} {
                  set MODEMCOMP 2
}  }  }  }  }  }  }  }
foreach x { 2 4 5 6 7 8 9 12 } {
    $w.right.c$x configure -state normal
  }
}

proc MCS_ZyXEL_1496 {} {
global w MODEMCOMP
MCS_disable
# pvftormd ZyXEL_1496 Supports:
# ZyXEL_1496     2, 3, 4  2/3/4-bit ZyXEL ADPCM
if { $MODEMCOMP != 2} {
   if { $MODEMCOMP != 3} {
      if { $MODEMCOMP != 4} {
      set MODEMCOMP 2
}  }  }
foreach x { 2 3 4 } {
    $w.right.c$x configure -state normal
  }
}

proc MCS_ZyXEL_2864 {} {
global w MODEMCOMP
MCS_disable
# pvftormd ZyXEL_2864 Supports:
# ZyXEL_2864     2, 3, 4  2/3/4-bit ZyXEL ADPCM
# ZyXEL_2864     81       8-bit Rockwell PCM
if { $MODEMCOMP != 2} {
   if { $MODEMCOMP != 3} {
      if { $MODEMCOMP != 4} {
         if { $MODEMCOMP != 81} {
         set MODEMCOMP 2
}  }  }  }
foreach x { 2 3 4 81 } {
    $w.right.c$x configure -state normal
  }
}

proc MCS_ZyXEL_Omni56K {} {
global w MODEMCOMP
MCS_disable
# pvftormd ZyXEL_Omni56K Supports:
# ZyXEL_Omni56K  4        4-bit Digispeech ADPCM (?)
set MODEMCOMP 4
foreach x { 4 } {
    $w.right.c$x configure -state normal
  }
}


# tkvoice setup image
frame $w.gif
pack $w.gif -side top -fill x

catch {image delete tkvoicemodem}
image create photo tkvoicemodem -file [file join $tkvoicedir/image/tkvoicemodem.gif]
label $w.gif.tkvoicemodem -image tkvoicemodem -bd 1 -relief sunken
label $w.gif.linux -image linux -bd 1 -relief sunken
label $w.gif.phone -image phone -bd 1 -relief sunken
label $w.gif.penguin -image penguin -bd 1 -relief sunken
 
pack $w.gif.phone -side left
pack $w.gif.tkvoicemodem -side left -expand 1 -fill x
pack $w.gif.linux -side right
pack $w.gif.penguin -side right

label $w.msg -font $font -wraplength 5i -justify left -text "These Options will be used when invoking PVF tools.\n\nChoose the \"pvfspeed\" number of samples\nper second for your modem."
pack $w.msg -side top

frame $w.buttons
pack $w.buttons -side bottom -fill x -pady 2m
button $w.buttons.save -text SAVE -command "savemodem; destroy $w"
button $w.buttons.cancel -text CANCEL -command "destroy $w"
pack $w.buttons.save $w.buttons.cancel -side left -expand 1

frame $w.top
pack $w.top -side top -expand yes -pady .1c -padx .5c
foreach x { 7200 8000 9600 } {
    radiobutton $w.top.$x -text "$x Samples\/sec" -variable pvfsamples \
                -relief flat -value $x -command "set custpvfs 0"
    pack $w.top.$x -side top -pady 2 -anchor w
}
radiobutton $w.top.other -text "Other" -variable custpvfs -relief flat -value 1
entry $w.top.entry -relief sunken -width 5 -textvariable pvfsamples -background $bgcolor
pack $w.top.other -side left  -pady 2
pack $w.top.entry -side right -pady 2

label $w.msglower -font $font -wraplength 5i -justify left -text "Choose the \"pvftormd\" type of Modem.\nChoose the \"pvftormd\" Compression Method."
pack $w.msglower -side top

frame $w.left
frame $w.right
pack $w.left $w.right -side left -expand yes  -pady .1c -padx .5c

foreach i  { Digi Elsa ISDN4Linux Lucent MT_2834 MT_5634 Rockwell TopicTP560 UMC US_Robotics V253modem ZyXEL_1496 ZyXEL_2864 ZyXEL_Omni56K }  {
    radiobutton $w.left.b$i -text "Modem Type $i" -variable MODEMTYPE \
	    -relief flat -value "$i" -command "MCS_$i"
    pack $w.left.b$i  -side top -pady 2 -anchor w
}

foreach x { 1 2 3 4 5 6 7 8 9 12 81 128 132 } {
    radiobutton $w.right.c$x -text "Compression Method $x" -variable MODEMCOMP \
	    -relief flat -value $x -state disabled
    pack $w.right.c$x -side top -pady 2 -anchor w
}

MCS_$MODEMTYPE
