# tkvreadme.tcl --
#
#

if {![info exists tkVoice]} {
    error "This script should be run from within  \"tkvoice\"."
}

set w .tkvreadme
catch {destroy $w}
toplevel $w
wm title $w "tkVoice Readme"
wm iconname $w "tkVoice Readme"
wm iconbitmap $w @$tkvoicedir/image/icon
positionWindow $w

set bgcolor "#eeeeee"

######################################################
# tkvoice setup image
frame $w.gif
pack $w.gif -side top -fill x

catch {image delete tkvoicepaths}
image create photo tkvoicepaths -file [file join $tkvoicedir/image/tkvoicereadme.gif]

label $w.gif.tkvoicepaths -image tkvoicepaths -bd 1 -relief sunken
label $w.gif.linux -image linux -bd 1 -relief sunken
label $w.gif.phone -image phone -bd 1 -relief sunken
label $w.gif.penguin -image penguin -bd 1 -relief sunken
 
pack $w.gif.phone -side left
pack $w.gif.tkvoicepaths -side left -expand 1 -fill x
pack $w.gif.linux -side right
pack $w.gif.penguin -side right

#########################

frame $w.buttons
pack $w.buttons -side bottom -fill x -pady 2m
button $w.buttons.cancel -text CANCEL -command "destroy $w"
pack $w.buttons.cancel -side left -expand 1

text $w.text -relief sunken -bd 2 -yscrollcommand "$w.scroll set" \
	     -setgrid 1 -height 30 -state normal -background $bgcolor
scrollbar $w.scroll -command "$w.text yview"
pack $w.scroll -side right -fill y
pack $w.text -expand yes -fill both  
$w.text insert 0.0 \
{          _-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_

          This file announces the release of tkvoice 1.5

                          Peter Bruley
                       tkvoice@charter.net

                    GNU GENERAL PUBLIC LICENSE
                       Version 2, June 1991

                        (See file COPYING)

          The latest version of this script is available from:
                ftp://alpha.greenie.net/pub/mgetty/tools/

            The tkVOICE Home Page is located on the web at:
                      http://tkvoice.netfirms.com/

          -_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-


TKVOICE is a Telephone Answering Machine(TAM) Frontend for  LINUX vgetty.
TKVOICE is also a Facsimile Answerinmg Machine(FAX)  Frontend for vgetty.

Using your voice modem under  LINUX, "vgetty" modem software controls the
low level calls to your voice modem.  TKVOICE is a Frontend that provides
a Graphical User Interface(GUI) under  X11, KDE or Gnome.   TKVOICE  is a
TCL/TK  script  that allows you to  record your  "outgoing greeting"  and
play back your incoming  voice  messages through your sound card. You can
also use vgetty for recieving FAX messages and use  TKVOICE  to view your
"incoming FAX's" and print them out to your printer.

You don't need to run   "VOICE"   and   "FAX"   support at the same time.
If you only  want  "VOICE"   support you can  turn   "FAX"   support OFF.
If you don't have a voice modem and only want  "FAX" support you can turn
"VOICE" support OFF.

This  program  will  always work  regardless  of what  window manager you
decide to run  (ie/ KDE or GNOME) as  this  sort of  application does not
seem to have a high priority with these two popular window managers.

------------------------------------------------------------------------
WHAT'S NOT INCLUDED :
------------------------------------------------------------------------

"TCL/TK" I wrote this app for wish v8.3 of the  tcl/tk  GUI manager but
         should work with older versions.  Most modern distributions of
         LINUX come with tcl/tk pre-installed.
         Available from: http://www.scriptics.com/software/tcltk/

"vgetty" Is part of "mgetty+sendfax" package vgetty needs to be properly
         installed and configured. (or "mgetty" for FAX only support)
         Available from: http://alpha.greenie.net/mgetty/

"netpbm" Image conversion Tools. Most modern distributions of LINUX come
         with netpbm tools pre-installed.
         Available from: http://sourceforge.net/projects/netpbm/


------------------------------------------------------------------------
TKVOICE REQUIREMENTS :
------------------------------------------------------------------------
SOFTWARE:
        - Probably any kernel released as 1.2.13 or later is a safe bet,
        - Requires appropriate and working sound drivers installed
        - tk/tcl installed and "wish" is somewhere in users PATH
        - vgetty installed and pvftools are somewhere in users PATH
        - netpbm tools for viewing and printing FAX's in users PATH

HARDWARE:
        - Voice Modem for VOICE & FAX answering machine support.
        - Any working Modem for FAX only answering machine support.
        - Sound Card & speakers for VOICE answering machine support.

------------------------------------------------------------------------
TESTED ON:
------------------------------------------------------------------------

        - Slackware v9.1 for Intel i686
        - tk/tcl v8.4
        - Linux Kernel releases: 2.4.22

------------------------------------------------------------------------
HISTORY :
------------------------------------------------------------------------
1.5     Released Jan 10th, 2004
        -I upgraded my box to Slackware 9.1 and a few things broke.
        -works now with lprng print system
        -cleaned up refreshing
        -fixed date formating with new coreutils
        -fixed bugs in my coding to work with tk/tcl v8.4

1.4b    Released Mar 10th, 2003
        -minor bug fix converting g32pbm during FAX print.

1.4a    Released Jan 26th, 2003
        -minor bug fix reading spool directories from voice.conf

1.4     Released Oct 18th, 2002
        -new coreutils version of "ls" does not interpret --full-time the
         same as fileutils version of "ls"
        -added some more MODEM TYPES and COMPRESSION SETTINGS.

1.3a    Released May 5th, 2002
        -minor bug fixes

1.3     Released April 8th, 2002
        -now reads voice.conf and takes needed settings from this file.
        -added message_list support (/var/spool/voice/messages/Index)
         tkvoice will create and overwrite Index as required.
        -added better checking for tkvoice dir. at startup
         (I hope please e-mail with bugs )
        -added playback amplification setting
        -limited choices for modem compression options
        -added sox play back and record support.
        -simplified the record greeting proceedure and moved original to
         advanced window.
        -removed the record timer and added a stop button.
        -cleaned up auto-refreshing of voice and fax files.
        -added URL in about window for tkvoice Home Page

1.2a    Released March 8th, 2002.
        -fixed print range support

1.2     Released March 7th, 2002.
        -added FAX Viewing Support
        -bug fixes (scroll in main message selection)

1.1     Released Jan. 8th, 2002.
        -bug fixes
        -wrote install script
        -added slider for adjusting record time
        -added "NEW" flag for messages not played yet.
        -added auto update feature to monitor incoming calls
        -added more info under the HELP menu

1.0     Released Jan. 1st, 2002.

------------------------------------------------------------------------
TKVOICE USAGE :
------------------------------------------------------------------------

        tkvoice


------------------------------------------------------------------------
INSTALLATION :
------------------------------------------------------------------------

See the included file INSTALL for details about installation.

End of README.}
$w.text configure -state disabled
