# tkvrecadvanced.tcl --
#
#

if {![info exists tkVoice]} {
    error "This script should be run from within  \"tkvoice\"."
}

# use the same window  name as the simple record so when invoked the simple
# record window is destroyed.
set w .tkvrecadvanced
catch {destroy $w}
toplevel $w
wm title $w "tkVoice Record Greeting"
wm iconname $w "tkVoice Record Greeting"
wm iconbitmap $w @$tkvoicedir/image/icon
positionWindow $w

set bgcolor "#eeeeee"

###########################################################
global RecIND

proc arecord {} {
global RecIND RecFLASH
set RecFLASH 1
sflash
record_g
} 

proc sflash {} {
global RecIND RecFLASH
if { $RecFLASH == 1} {
# valid states: normal, active or disabled
   $RecIND configure -state normal
   $RecIND flash
   }
 
if { $RecFLASH == 1} {
   # after 0.01 sec. flash the record button again:
   after 10 sflash
   }
$RecIND configure -state disabled
} 

proc astop {} {
global tkvoicedir tkVoice voicedir voiceout voicein greeting
global MODEMTYPE MODEMCOMP RecIND RecFLASH
if {$RecFLASH == 1 } {
   set RecFLASH 0
   record_gstop
   }
}                                                                                 

proc recordhelp {} {
global tkvoicedir tkVoice voicedir voiceout voicein greeting
global MODEMTYPE MODEMCOMP
uplevel [list source [file join $tkvoicedir/TCL/tkvrecordhelp.tcl]]
}

#################################################
# tkvoice setup image
frame $w.gif
pack $w.gif -side top -fill x

catch {image delete tkvoicerecord}
image create photo tkvoicerecord -file [file join $tkvoicedir/image/tkvoicerecord.gif]
label $w.gif.tkvoicerecord -image tkvoicerecord -bd 1 -relief sunken
label $w.gif.linux -image linux -bd 1 -relief sunken
label $w.gif.phone -image phone -bd 1 -relief sunken
label $w.gif.penguin -image penguin -bd 1 -relief sunken
 
pack $w.gif.phone -side left
pack $w.gif.tkvoicerecord -side left -expand 1 -fill x
pack $w.gif.linux -side right
pack $w.gif.penguin -side right

frame $w.buttons
pack $w.buttons -side bottom -fill x -pady 2m
button $w.buttons.help -text HELP -width 10  -command "recordhelp"
button $w.buttons.cancel -text CANCEL -width 10 -command "destroy $w"
pack $w.buttons.help $w.buttons.cancel -side left -expand 1

###

frame $w.top -width 50
pack $w.top  -side top -expand yes  -pady 1c -padx .1c

frame $w.top.left -width 30
pack $w.top.left -side left -expand yes -pady .1c -padx 1c
frame $w.top.right -width 40
pack $w.top.right -side left -expand yes -pady .1c -padx 1c

label $w.top.left.label -justify left -text "Greeting File Name:\ "
entry $w.top.left.entry -relief sunken -width 30 -textvariable greeting -background $bgcolor
label $w.top.right.label -justify left -text "\ "
set RecIND $w.top.right.ind
# relief: flat, groove, raised ridge solid sunken
radiobutton $RecIND -relief groove -text "RECORDING" -indicatoron 0 -selectcolor gray -state disabled -activebackground red
pack $w.top.left.label $w.top.left.entry -side top  -anchor w
pack $w.top.right.label $RecIND -side top -anchor w

###

frame $w.left
frame $w.right
catch {image delete rec}
image create photo rec -file [file join $tkvoicedir/image/record.gif]
button $w.right.rec -image rec -anchor center -command "arecord"
label $w.left.rec -font {helvetica 18 bold} -justify left -text "START RECORDING WAV:"
catch {image delete stoprec}
image create photo stoprec -file [file join $tkvoicedir/image/stoprec.gif]
button $w.right.stop -image stoprec -anchor center -command "astop"
label $w.left.stop -font {helvetica 18 bold} -justify left -text "STOP RECORDING WAV:"
catch {image delete listen}
image create photo listen -file [file join $tkvoicedir/image/listen.gif]
button $w.right.listen -image listen -anchor center -command "listen_g"
label $w.left.listen -font {helvetica 18 bold} -justify left -text "LISTEN TO WAV FILE:"
catch {image delete convert}
image create photo convert -file [file join $tkvoicedir/image/convert.gif]
button $w.right.convert -image convert -anchor center -command "convert_g"
label $w.left.convert -font {helvetica 18 bold} -justify left -text "CONVERT WAV to RMD:"
button $w.right.play -image play -anchor center -command "play_g"
label $w.left.play -font {helvetica 18 bold} -justify left -text "LISTEN TO RMD FILE:"
pack $w.left  -side left -expand yes  -pady .5c -padx 1c
pack $w.right -side left -expand yes  -pady .5c -padx 1c
pack $w.left.rec $w.left.stop $w.left.listen $w.left.convert $w.left.play -side top -pady 3 -anchor w
pack $w.right.rec $w.right.stop $w.right.listen $w.right.convert $w.right.play -side top -pady 2 -anchor w
